/*******************************************************************************
**
** Copyright 2013 Sony Corporation
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License, version 2.1, as published by the Free Software Foundation.
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
** Lesser General Public License for more details.
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
**
*******************************************************************************/
#ifndef FBMANAGERSTATES_H
#define FBMANAGERSTATES_H

#include <FBManagerStateInterface.h>


class FBManager;

// this means the buffer manager is idle and no buffer is being written. i.e. its not waiting for fb update.
class IdleBMState: public FrameBufferManagerState{
private:
    FBManager *mFbManager;
public:
    IdleBMState(FBManager *fbManager);

    ~IdleBMState();

    void onBufferNormalStateChange();

    void onBufferAbnormalStateChange();
};

// this state means the Buffer manager is waiting for the fb update.
class AwaitingFBUpdateBMState: public FrameBufferManagerState{
private:
    FBManager *mFbManager;
public:
    AwaitingFBUpdateBMState(FBManager *fbManager);

    ~AwaitingFBUpdateBMState();

    void onBufferNormalStateChange();

    void onBufferAbnormalStateChange();
};



#endif // FBMANAGERSTATES_H
