/****************************************************************************
**
** Copyright (C) 2012 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Lesser General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Lesser General Public License for more details.
**
** You should have received a copy of the GNU Lesser General Public
** License along with this library; if not, write to the
** Free Software Foundation, Inc., 59 Temple Place - Suite 330,
** Boston, MA 02111-1307, USA.
**
****************************************************************************/
/*
 * ChangeLog -  Added support for storing 'orientation' information (added in TM specs v1.0.1)
 */

#ifndef QTMDISPLAYINFO_H
#define QTMDISPLAYINFO_H

#include <QtCore/qobject.h>
#include "QTmGlobal.h"

class QTmDisplayInfo : public QObject {
    Q_OBJECT

    Q_PROPERTY(QTmGlobal::TmVisualCategory  category READ category)
    Q_PROPERTY(QTmGlobal::TmVisualRules     rules    READ rules)
    Q_PROPERTY(QTmGlobal::TmTrustLevel trust    READ trust)
    Q_PROPERTY(QTmGlobal::TmDisplayOrientation  orientation READ orientation)

public:
    QTmGlobal::TmVisualCategory category();
    QTmGlobal::TmVisualRules rules();
    QTmGlobal::TmTrustLevel  trust();
    QTmGlobal::TmDisplayOrientation  orientation();

private:
    QTmDisplayInfo();
    void                     setCategory(QTmGlobal::TmVisualCategory category);
    void                     setRules(QTmGlobal::TmVisualRules rules);
    void                     setTrust(QTmGlobal::TmTrustLevel trust);
    void                     setOrientation(QTmGlobal::TmDisplayOrientation orientation);

private:
    QTmGlobal::TmVisualCategory     m_category;
    QTmGlobal::TmVisualRules        m_rules;
    QTmGlobal::TmTrustLevel         m_trust;
    QTmGlobal::TmDisplayOrientation  m_orientation;
    friend class             QTmRemoteServer;
    friend class             QTmRfbClient;
};

#endif // QTMDISPLAYINFO_H
